Jump to content


Photo

Patch for Aurora v5


7 replies to this topic

#1 Miloch

Miloch

    Barbarian

  • Modder
  • 6440 posts

Posted 12 December 2010 - 02:02 AM

I will post patches here for Aurora's Shoes v5 in advance of a v6. These will be obsolete when a new version is released.

Aurora v5a Patch
- Fixed items that increase ability scores displaying them in red
- Fixed crash-causing bug with Iceblade's swing animation
- Fixed De'Arnise Keep "troll problem" and other potential script glitches in Fix Areas component
- Changed kobold captains' Arrow of Detonation to Dispelling in Realistic Kobold Commandos component

Extract to your game folder after extracting Aurora v5, overwrite the existing files when prompted and install the mod as usual by double-clicking on setup-aurora.exe.

Infinity Engine Contributions
Aurora * BG1 NPC * BG1 Fixpack * Haiass * Infinity Animations * Level 1 NPCs * P5Tweaks
PnP Free Action * Thrown Hammers * Unique Containers * BG:EE * BGII:EE * IWD:EE
================================================================
Player & Modder Resources
BAM Batcher * Creature Lister * Creature Checker * Creature Fixer * Tutu/BGT Area Map & List * Tutu Mod List
================================================================
"My definition of an intellectual is someone who can listen to the William Tell Overture without thinking of the Lone Ranger." -Billy Connolly


#2 Reverendratbastard

Reverendratbastard
  • Member
  • 37 posts

Posted 30 November 2011 - 06:25 PM

is the iceblade part of tutu content?
FAVORITE BUMPERSTICKER:

~ god was my co-pilot but we crashed in the mountains and i had to eat him ~

#3 Miloch

Miloch

    Barbarian

  • Modder
  • 6440 posts

Posted 02 December 2011 - 12:41 AM

I believe so, but as I recall (and it's been a while) it certainly won't be easy to find. A lot of items in the Tutu version and even the BG2/BGT version will not be, which hopefully makes this mod fun and worthwhile, nevermind the dialogue is first-rate (not mine - I just did some of the technical details - the true reason to play this mod is to hear the speech, for which I cannot take credit).

Infinity Engine Contributions
Aurora * BG1 NPC * BG1 Fixpack * Haiass * Infinity Animations * Level 1 NPCs * P5Tweaks
PnP Free Action * Thrown Hammers * Unique Containers * BG:EE * BGII:EE * IWD:EE
================================================================
Player & Modder Resources
BAM Batcher * Creature Lister * Creature Checker * Creature Fixer * Tutu/BGT Area Map & List * Tutu Mod List
================================================================
"My definition of an intellectual is someone who can listen to the William Tell Overture without thinking of the Lone Ranger." -Billy Connolly


#4 Reverendratbastard

Reverendratbastard
  • Member
  • 37 posts

Posted 02 December 2011 - 05:21 AM

looking forward to it! maybe iceblade's stats won't be irresistible if/by the time i stumble upon it ;)
FAVORITE BUMPERSTICKER:

~ god was my co-pilot but we crashed in the mountains and i had to eat him ~

#5 Kulyok

Kulyok
  • Member
  • 2450 posts

Posted 13 September 2013 - 07:56 AM

Sorry for necroposting. There's no pinned thread for v5/v5a bug reports and compatibility issues, so I'll report it here.

 

- Aurora Shoes and Boots v5 crashes UB's Minsc quest when the party enters the new petshop area(wwpets), IF Aurora is installed before the Kidnapping of Boo. It happens with v5a patch, too.

I don't know what is wrong - there might be a bam missing, or something else assigned wrongly(or rightly). I've confirmed it via testing and received a few bug reports, so I was wondering if it's possible to fix this issue somehow?

 

For the time being, I'll advise users to install UB before Aurora - then the crash does not happen.

 

 

- The component with fixing area creature references gets installed all the time, and I have to reinstall the entire game/backup to get rid of it. That's seriously not cool.

 

- Some of the reports about Aurora were from the German players, who had Aurora installed in German. Yet the version I downloaded had only a French translation. There might be another Aurora somewhere...



#6 Wisp

Wisp
  • Modder
  • 1327 posts

Posted 13 September 2013 - 08:42 AM

- Aurora Shoes and Boots v5 crashes UB's Minsc quest when the party enters the new petshop area(wwpets), IF Aurora is installed before the Kidnapping of Boo. It happens with v5a patch, too.
I don't know what is wrong - there might be a bam missing, or something else assigned wrongly(or rightly). I've confirmed it via testing and received a few bug reports, so I was wondering if it's possible to fix this issue somehow?
You might want to check UB for creatures using _LOW animations. They're a fairly common source of these sorts of problems. They can be safely replaced with the corresponding non-_LOW animation and doing so will remove this constraint on installation order.

Edited by Wisp, 13 September 2013 - 08:43 AM.


#7 Kulyok

Kulyok
  • Member
  • 2450 posts

Posted 13 September 2013 - 09:49 AM

Thank you! (Dumb Kulyok here). Now, I spent some time searching, despaired, then started opening UB .cre files, and I think I can finally translate it into normal language: creatures in Baldur's gate use avatars(male elf fighter, female human mage) and so on. When you open a .cre file in DLTCEP, you can see it in "Creature animation" mini-window, and Near Infinity shows it, too. UB mod has a creature in this area called Smethy, or wwswoo.cre, and there's a cleric_male_halfling_low in his "creature animation" window. "_LOW" is bad, don't use LOW, replace it with cleric_male_halfling.

 

Let me test it, first, so I make sure I got you correctly...  Yay, it worked! I'll update a new version in a moment. Thank you so much.

 

 

 

 

And off-topic: some more grouching. I am not sure I understand why the mod has so many great optional components but still adds stuff like item randomizing and replacing animations in the main component. What if don't need them, but just want a cool merchant with several new quests? Why not make them optional, too?



#8 Miloch

Miloch

    Barbarian

  • Modder
  • 6440 posts

Posted 07 October 2013 - 12:01 PM

_LOW animations are just redundant IDS entries mapped to the relevant non-_LOW animations. This patch (I think) or at any rate Infinity Animations replaces those animations accordingly so as to free up those redundant slots for new animations.

 

As for Aurora, all components are optional. So if you just want the mod itself, just install the first component. If you just want one of the tweaks, just install that (those components should really be in a tweak mod but I never got around to making that happen).


Infinity Engine Contributions
Aurora * BG1 NPC * BG1 Fixpack * Haiass * Infinity Animations * Level 1 NPCs * P5Tweaks
PnP Free Action * Thrown Hammers * Unique Containers * BG:EE * BGII:EE * IWD:EE
================================================================
Player & Modder Resources
BAM Batcher * Creature Lister * Creature Checker * Creature Fixer * Tutu/BGT Area Map & List * Tutu Mod List
================================================================
"My definition of an intellectual is someone who can listen to the William Tell Overture without thinking of the Lone Ranger." -Billy Connolly




Reply to this topic